import hopsworks
from datetime import datetime, timezone
import pandas as pd
api_key  = "oK5gwJzqaw9xo8WA.uouZHtakxzcbFPegHIS16eaWQ49Bn7Y8PJQ0gW3taDGMiT9FVy9hw87kM7iEnpEe"
project = hopsworks.login(
    port = 443,
    project= "driver_score",
    api_key_value = api_key
)
fs = project.get_feature_store(name='driver_score_featurestore')
fg = fs.get_or_create_feature_group(
    name='energy_forecast',
    version=1,
    description="Energy consumption forecasting feature group",
    primary_key=['datetime_utc',"area"],
    online_enabled=True,
    event_time="datetime_utc"
)


data = pd.DataFrame({
        "datetime_utc": [datetime.now().date()],
        "area": pd.Series([1], dtype='int32'),
        "consumer_type": pd.Series([1], dtype='int32'),
        "energy_consumption": pd.Series([65.0], dtype='float32')
    })
print(data)
fg.insert(features = data,overwrite=False)
