import pymongo
import pandas as pd
import numpy as np 
import json
import logging
import os 
from settings import load_env_var
from generating_data import Generate_Data
load_env_var("/Users/bakr/Desktop/personal_projects/energy_forecasting/mlforecasting/training_pipeline/")
def connect_to_mongodb(db_name,collection_name):
    try:
        client = pymongo.MongoClient("mongodb://localhost:27017/")
        mydb = client[db_name]
        collection = mydb[collection_name]
        return collection
    except pymongo.errors.ConnectionFailure as e:
        # logs.error("Couldn't connect to mongodb please review your connection strings")
        return None
    
def Bulk_insert_into_mongodb(data:pd.DataFrame,collection):
    try:
        collection.insert_many(data.to_dict(orient="records"))
    except pymongo.errors.WriteError as e:
        print(e)
        # logs.error("Couldn't write succesfully into mongodb please check your data format and be sure its a dict or json file")
        

#Done data saved no need for further interference 
# if __name__ == "__main__":
#       a,_ = Generate_Data.generate_synthetic_time_series()
#       c = connect_to_mongodb(os.environ.get("MONGODB_DB_NAME"),os.environ.get("MONGO_DB_COLLECTION_NAME"))
#       Bulk_insert_into_mongodb(a.reset_index(),c)

